<form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="create-ych-container">
  <app-control-change-data
    [controlName]="'secretKey'"
    [controlType]="'TEXT'"
    [errorKeys]="['secretKeyIsInCorrect']"
    [labelValue]="'Secret key : '"
    [parentForm]="formGroup">
  </app-control-change-data>

  <div class="p-d-flex p-jc-center">
    <div class="p-mr-2">
      <button label="Submit" pButton type="submit"></button>
    </div>
  </div>
</form>
